Subject: Re: [PATCH net-next RFC 0/5] Update r8152 to version two

From: Jakub Kicinski <[email-masked]>
Date: Tue, 8 Nov 2022 12:50:28 -0800

On Wed,  9 Nov 2022 02:33:37 +1100 Albert Zhou wrote:
> This patch integrates the version-two r8152 drivers from Realtek into
> the kernel. I am new to kernel development, so apologies if I make
> newbie mistakes.
> 
> I have tested the updated module in v6.1 on my machine, without any
> issues.

What are you trying to achieve? Copy pasting 18k LoC into the kernel 
in a single patch is definitely not the way we do development. If there
are features missing in the upstream driver, or you see discrepancies
in the operation - please prepare targeted patches.